import java.util.Properties;

import javax.swing.JFrame;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;

import com.ftdi.FT90xSPI;
import com.ftdi.uart2spi.ui.MainUI;
import com.ftdi.uart2spi.ui.SerialPortChooserUI;
import com.ftdi.util.AppProperties;

public class MainClass {
	
	public static void main(String[] args) {
		Properties p = AppProperties.getProperties();
		
		System.out.println(p.getProperty("ftdi.copyright"));
		
		try {
			String lookAndFeel = p.getProperty("ftdi.app.look_and_feel","system").toLowerCase().trim(); 


			if (lookAndFeel.equals("system"))
				UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
			else if (lookAndFeel.equals("cross") || lookAndFeel.equals("crossplatform"))
				UIManager.setLookAndFeel(UIManager.getCrossPlatformLookAndFeelClassName());

		} catch (UnsupportedLookAndFeelException ex) {
			ex.printStackTrace();
		} catch (IllegalAccessException ex) {
			ex.printStackTrace();
		} catch (InstantiationException ex) {
			ex.printStackTrace();
		} catch (ClassNotFoundException ex) {
			ex.printStackTrace();
		}
		
		// Get which serial port to use
		String port = new SerialPortChooserUI(p.getProperty("ftdi.appname")).getChosenPort();

		// Start the main window
		if (port != null)
		{
			System.out.println("Using "+port);
			FT90xSPI spi = new FT90xSPI();
			spi.open(port);
			MainUI frame = new MainUI(p.getProperty("ftdi.appname"), spi);
			frame.showAndWaitForClose();
			spi.close();
		}
	}

}
